[ruby-cvs:73063] hsbt:r65963 (trunk): Use stub executables generated by RubyGems istead of original executables.

hsbt at ruby-lang.org hsbt at ruby-lang.org
Sun Nov 25 10:20:00 JST 2018


hsbt	2018-11-25 10:20:00 +0900 (Sun, 25 Nov 2018)

  New Revision: 65963

  https://svn.ruby-lang.org/cgi-bin/viewvc.cgi?view=revision&revision=65963

  Log:
    Use stub executables generated by RubyGems istead of original executables.
    It resolved the conflict issues when invoking `gem i rdoc` and the binstub
    issues with Bundler and Rails.
    
      [Bug #5060][ruby-core:38257][Fix GH-2023]
    
      * https://github.com/rubygems/rubygems/pull/2338
      * https://github.com/heroku/heroku-buildpack-ruby/issues/829

  Added directories:
    trunk/libexec/
  Added files:
    trunk/libexec/bundle
    trunk/libexec/bundle_ruby
    trunk/libexec/bundler
    trunk/libexec/irb
    trunk/libexec/rdoc
    trunk/libexec/ri
  Modified files:
    trunk/bin/bundle
    trunk/bin/bundle_ruby
    trunk/bin/bundler
    trunk/bin/irb
    trunk/bin/rdoc
    trunk/bin/ri
    trunk/common.mk
    trunk/lib/bundler.gemspec
    trunk/spec/bundler/spec_helper.rb
    trunk/spec/bundler/support/path.rb
    trunk/tool/rbinstall.rb


More information about the ruby-cvs mailing list